<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <include
        android:id="@+id/poi_video_header"
        layout="@layout/poi_video_header"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

    </include>
    <androidx.core.widget.NestedScrollView
        android:id="@+id/nested_scroll_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        >
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">
            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                >
                <TextView
                    android:id="@+id/tv_message"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_marginTop="20dp"
                    android:text="01.基本信息"
                    android:textColor="@color/black"
                    android:textSize="16sp"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent"/>

                <LinearLayout
                    android:id="@+id/ll_name"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginRight="10dp"
                    android:background="@drawable/road_shape"
                    android:orientation="horizontal"
                    app:layout_constraintStart_toStartOf="@+id/tv_message"
                    app:layout_constraintTop_toBottomOf="@+id/tv_message">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_marginLeft="15dp"
                        android:text="名称       "
                        android:textColor="@color/black"
                        android:textSize="15sp" />

                    <EditText
                        android:id="@+id/et_poi_video_name"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_gravity="center_vertical"
                        android:background="@null"
                        android:inputType="text"
                        android:maxLines="1"
                        android:textSize="14sp" />
                </LinearLayout>

                <TextView
                    android:id="@+id/tv_mode"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:text="02.拍照方式"
                    android:textColor="@color/black"
                    android:textSize="16sp"
                    app:layout_constraintLeft_toLeftOf="@id/ll_name"
                    app:layout_constraintTop_toBottomOf="@+id/ll_name" />

                <LinearLayout
                    android:id="@+id/ll_mode"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="2dp"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal"
                    app:layout_constraintTop_toBottomOf="@id/tv_mode">

                    <RadioGroup
                        android:id="@+id/rg_type"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:orientation="horizontal">

                        <RadioButton
                            android:id="@+id/rb_car"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:text="车行"
                            android:textColor="@color/test_color_selector" />

                        <RadioButton
                            android:id="@+id/rb_bicycle"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:text="骑行"
                            android:textColor="@color/test_color_selector" />

                        <RadioButton
                            android:id="@+id/rb_walking"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:text="步行"
                            android:textColor="@color/test_color_selector" />
                        <!--                <RadioButton-->
                        <!--                    android:id="@+id/rb_manual"-->
                        <!--                    android:layout_width="0dp"-->
                        <!--                    android:layout_weight="1"-->
                        <!--                    android:textColor="@color/test_color_selector"-->
                        <!--                    android:layout_height="wrap_content"-->
                        <!--                    android:text="手动"/>-->
                    </RadioGroup>

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ll_pictures"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_marginTop="20dp"
                    android:orientation="horizontal"
                    app:layout_constraintLeft_toLeftOf="@id/ll_mode"
                    app:layout_constraintTop_toBottomOf="@id/ll_mode">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="03.录像  "
                        android:textColor="@color/black"
                        android:textSize="16sp" />

                    <TextView
                        android:id="@+id/tv_pictures"
                        style="@style/user_style"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:gravity="center"
                        android:text="录像"
                        android:textColor="@color/white"
                        android:textSize="15sp" />


                </LinearLayout>

                <FrameLayout
                    android:id="@+id/fm_poi_video_picture"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    app:layout_constraintLeft_toLeftOf="@id/ll_pictures"
                    app:layout_constraintTop_toBottomOf="@id/ll_pictures">

                    <ImageView
                        android:id="@+id/iv_poi_video_picture"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:maxWidth="200dp"
                        android:maxHeight="100dp"
                        android:minWidth="140dp"
                        android:minHeight="70dp"
                        android:scaleType="fitXY" />
                </FrameLayout>

                <LinearLayout
                    android:id="@+id/ll_desc"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    app:layout_constraintLeft_toLeftOf="@id/fm_poi_video_picture"
                    app:layout_constraintTop_toBottomOf="@id/fm_poi_video_picture">

                    <RelativeLayout
                        android:id="@+id/linear_exist"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="10dp"
                        android:background="@drawable/other_text"
                        android:padding="2dp"
                        android:visibility="gone"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/linear_phone">

                        <TextView
                            android:id="@+id/tv_exist"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentLeft="true"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="18dp"
                            android:layout_marginTop="10dp"
                            android:layout_marginBottom="10dp"
                            android:text="是否存在*"
                            android:textColor="#333" />

                        <Spinner
                            android:id="@+id/spinner_exist"
                            android:layout_width="match_parent"
                            android:layout_height="40dp"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="18dp"
                            android:layout_marginRight="10dp"
                            android:layout_toEndOf="@id/tv_exist"
                            android:layout_toRightOf="@id/tv_exist"
                            android:background="@color/white"
                            android:textColor="#333"
                            android:textSize="15sp" />

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:background="@drawable/ic_baseline_arrow_drop" />
                    </RelativeLayout>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:layout_marginTop="20dp"
                        android:text="04.描述"
                        android:textColor="@color/black"
                        android:textSize="16sp" />

                    <LinearLayout
                        android:id="@+id/linear_describe"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="10dp"
                        android:layout_marginStart="10dp"
                        android:layout_marginEnd="10dp"
                        android:background="@drawable/underline"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/tv_03">

                        <EditText
                            android:id="@+id/et_desc"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_margin="2dp"
                            android:background="@color/white"
                            android:focusable="true"
                            android:focusableInTouchMode="true"
                            android:gravity="top"
                            android:hint="任务描述"
                            android:paddingLeft="10dp"
                            android:paddingTop="10dp"
                            android:paddingBottom="30dp"
                            android:textColor="@color/test_color_selector"
                            android:textSize="15sp"


                            />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_marginTop="20dp"
                    android:layout_marginRight="10dp"
                    android:layout_marginBottom="20dp"
                    android:orientation="horizontal"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/ll_desc">

                    <Button
                        android:id="@+id/btn_poi_video_save"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_margin="10dp"
                        android:layout_weight="1"
                        android:background="@drawable/selector_red_radius_bg"
                        android:text="保存本地"
                        android:textColor="@color/white" />

                    <Button
                        android:id="@+id/btn_poi_video_upload"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_margin="10dp"
                        android:layout_weight="1"
                        android:background="@drawable/shape_transparent_pink_radius_bg"
                        android:text="上传" />
                </LinearLayout>
            </androidx.constraintlayout.widget.ConstraintLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</LinearLayout>